# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ruby_kpi/version'

Gem::Specification.new do |spec|
  spec.name          = "ruby_kpi"
  spec.version       = RubyKpi::VERSION
  spec.authors       = ["Fabio Viola"]
  spec.email         = ["desmovalvo@gmail.com"]
  spec.summary       = %q{The KPI required to access a SmartM3 Smart Space}
  spec.description   = %q{The KPI required to access a SmartM3 Smart Space. This gem provides the standard JOIN, LEAVE, INSERT, REMOVE, UPDATE, QUERY, SUBSCRIBE and UNSUBSCRIBE primitives}
  spec.homepage      = "http://www.desmovalvo.org"
  spec.license       = "GPL"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  
  spec.add_dependency "uuid"  
  spec.add_dependency "logger"
  spec.add_dependency "libxml-ruby"

end
